#ifndef _FFT
#define _FFT

namespace FFT {

#define  PI2  6.283185307179586
#define  P7   0.707106781186548
#define  LN2  0.6931471805599453
#define  DB   4.34294481903251830000000
#define  WMIN 1.0
#define  CORRN (float) 138.308998699
#define  CORR0 (float) 132.288396199

  static void r2tx(int nthpo, float *cr0, float *cr1, float *ci0, float *ci1);
  static void r4tx(int nthpo, float *cr0, float *cr1, float *cr2, float *cr3, 
		   float *ci0, float *ci1, float *ci2, float *ci3);
  static void r8tx(int nxtlt, int nthpo, int lengt,
		   float *cr0, float *cr1, float *cr2, float *cr3,
		   float *cr4, float *cr5, float *cr6, float *cr7,
		   float *ci0, float *ci1, float *ci2, float *ci3,
		   float *ci4, float *ci5, float *ci6, float *ci7);

  int Init(int n);
  void DBPowerSpectrum(float *z);
}

#endif
